@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.trackContainer {
  height: 36px;
  display: flex;
  flex-direction: column;
  width: 100%;
  padding-right: 3px;

  .track {
    height: 5px;
    width: 100%;
    border-radius: 100px;
    align-self: center;
  }

  .durationText {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    @include font($fontGothamLight, 12px, 14.4px);
    color: $greyColor;
    margin-bottom: 10px;

    & > span {
      text-align: center;
      width: 35px;
      @include font($fontGothamBold, 14px, 16.8px);
    }
  }

  .durationText.active {
    color: $greyText;

    & > span {
      color: $primaryColor;
    }
  }
}

.thumb {
  height: 25px;
  width: 25px;
  border-radius: 50%;
  border: 4px solid $lightBlueColor;
  background-color: $whiteColor;

  .plate {
    width: 100px;
    height: 39px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: -60px;
    left: -40px;
    background-color: $lightBlueColor;
    @include font($fontGotham, 16px, 19.2px);
    color: $greyColor;
    border-radius: 5px;
    box-shadow: 0px 0px 5px rgba(32, 84, 215, 0.1);

    .triangle {
      width: 0;
      height: 0;
      position: absolute;
      bottom: -10px;
      left: 36%;
      border-left: 12px solid transparent;
      border-right: 12px solid transparent;
      border-top: 20px solid $lightBlueColor;
    }
  }
  .plate.active {
    color: $greyText;
  }
}

.marks {
  width: 100%;
  height: 40px;
  display: flex;
  justify-content: space-between;
  margin-top: 15px;

  .markContainer {
    width: 5px !important;
    display: flex;
    flex-direction: column;

    .mark {
      width: 2px;
      height: 10px;
      background-color: $lightBlueColor;
      margin-bottom: 10px;
      align-self: flex-start;
    }

    .mark.outlined {
      width: 2px;
      height: 15px;
      background-color: $greyColor;
      margin-bottom: 5px;
    }

    .time {
      @include font($fontGotham, 14px, 16.8px);
      color: $greyColor;
      align-self: center;
    }
  }
}
